Description

The "Contributing to GammaLib" guide contains lots of very useful information.

https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/Contributing_to_GammaLib

In addition, it would be great to describe how to set ./configure --prefix=XXX and when to make install to get an updated GammaLib

version.

For new developers it can be confusing that make check automatically picks up the currently development version of GammaLib,

but if they have their own test Python scripts or C++ programs or work on ctools, the old installed GammaLib version is picked up if

they didn't say make install.

Michael,

from the last coding sprint I vaguely remember that you had a nice and fast edit - build - test development cycle where I think you

didn't need make install but somehow directly used the GammaLib library from the source directory that gets generated simply by

make?

History

#1 - 01/14/2014 09:25 AM - Mayer Michael

Michael,

from the last coding sprint I vaguely remember that you had a nice and fast edit - build - test development cycle where I think you didn't need

make install > but somehow directly used the GammaLib library from the source directory that gets generated simply by make?

 

I actually don't remember to have such a cycle. When I make changes, I rebuild gammalib with make -j5 followed by make install. Of course, you

could always write these two commands in a shell script but this will make you insensitive for error output.

#2 - 01/16/2014 03:39 PM - Knödlseder Jürgen

When you use the unit tests you don't have to install. Just typing

make check

should do the job. The only problem arises when you change interfaces of functions, as not everything is necessarily rebuilt correctly. In this case you

may need a

make clean

before to get a clean system, which then gives you time for a coffee break ...
https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/Contributing_to_GammaLib


#3 - 01/17/2014 02:30 PM - Deil Christoph

- Status changed from New to Resolved

- Assigned To set to Deil Christoph

- Priority changed from Normal to Low

This was the kind of information I think was missing:

https://cta-redmine.irap.omp.eu/projects/gammalib/wiki/Contributing_to_GammaLib#Installing-GammaLib

I wasn't sure whether it should be integrated at the top or put in a separate section ... feel free to improve it.

#4 - 01/18/2014 02:43 AM - Knödlseder Jürgen

- Status changed from Resolved to Closed

- Target version changed from 2nd coding sprint to 00-08-00
